Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.dig
Class DIGErrors

    java.lang.Object
      org.mindswap.pellet.dig.DIGErrors

    public class DIGErrors

extends java.lang.Object

Author:
  Evren Sirin

Field Summary
`static int` | `CANNOT_CREATE_NEW_KNOWLEDGE`
`static int` | `GENERAL_ASK_ERROR`
`static int` | `GENERAL_TELL_ERROR`
`static int` | `GENERAL_UNSPECIFIED_ERROR`
`static int` | `KB_RELEASE_ERROR`
`static int` | `MALFORMED_KB_URI`
`static int` | `MALFORMED_REQUEST`
`static int` | `MISSING_URI`
`static int` | `UNKNOWN_ASK_OPERATION`
`static int` | `UNKNOWN_OR_STALE_KB_URI`
`static int` | `UNKNOWN_REQUEST`
`static int` | `UNKNOWN_TELL_OPERATION`
`static int` | `UNSUPPORTED_ASK_OPERATION`
`static int` | `UNSUPPORTED_OPERATION`
`static int` | `UNSUPPORTED_TELL_OPERATION`

Constructor Summary
`DIGErrors()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GENERAL_UNSPECIFIED_ERROR

    public static final int GENERAL_UNSPECIFIED_ERROR

See Also:
  Constant Field Values

### UNKNOWN_REQUEST

    public static final int UNKNOWN_REQUEST

See Also:
  Constant Field Values

### MALFORMED_REQUEST

    public static final int MALFORMED_REQUEST

See Also:
  Constant Field Values

### UNSUPPORTED_OPERATION

    public static final int UNSUPPORTED_OPERATION

See Also:
  Constant Field Values

### CANNOT_CREATE_NEW_KNOWLEDGE

    public static final int CANNOT_CREATE_NEW_KNOWLEDGE

See Also:
  Constant Field Values

### MALFORMED_KB_URI

    public static final int MALFORMED_KB_URI

See Also:
  Constant Field Values

### UNKNOWN_OR_STALE_KB_URI

    public static final int UNKNOWN_OR_STALE_KB_URI

See Also:
  Constant Field Values

### KB_RELEASE_ERROR

    public static final int KB_RELEASE_ERROR

See Also:
  Constant Field Values

### MISSING_URI

    public static final int MISSING_URI

See Also:
  Constant Field Values

### GENERAL_TELL_ERROR

    public static final int GENERAL_TELL_ERROR

See Also:
  Constant Field Values

### UNSUPPORTED_TELL_OPERATION

    public static final int UNSUPPORTED_TELL_OPERATION

See Also:
  Constant Field Values

### UNKNOWN_TELL_OPERATION

    public static final int UNKNOWN_TELL_OPERATION

See Also:
  Constant Field Values

### GENERAL_ASK_ERROR

    public static final int GENERAL_ASK_ERROR

See Also:
  Constant Field Values

### UNSUPPORTED_ASK_OPERATION

    public static final int UNSUPPORTED_ASK_OPERATION

See Also:
  Constant Field Values

### UNKNOWN_ASK_OPERATION

    public static final int UNKNOWN_ASK_OPERATION

See Also:
  Constant Field Values

Constructor Detail

### DIGErrors

    public DIGErrors()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.